Subject: Re: [PWE3] 答复: flow label format in draft-ietf-fat-pw-02

From: Stewart Bryant <[email-masked]>
Date: Tue, 03 Nov 2009 12:14:17 +0000

Lucy

Thanks for the comments.
>
> Hi Stewart,
>
> Thanks. Flow Label Sub-TLV is for signaling purpose. Figure 3 title is
> much better.
>
> However text in section 4 is bit confusion.
>
> A PE that wishes to use a flow label includes in its label mapping
>
> message a Flow Label Sub-TLV (FL Sub-TLV) with F = 1 (see
>
> Section 4.1
> <http://tools.ietf.org/html/draft-ietf-pwe3-fat-pw-02#section-4.1#section-4.1>).
> A PE that can correctly process a flow label, and is
>
> willing to receive one, but does not wish to send a flow label,
>
> includes an FL Sub-TLV with F = 0.
>
> [LY] egress PE processing a flow label is just discarding it. Right?
>
Yes, the processing operation is a simple discard, although an
implementation might choose to check EOS.
>
> If a PE has sent an FL Sub-TLV with F = 1, and has received an FL
>
> Sub-TLV it MUST include a flow lablel in the label stack.
>
> [LY] should be “…, and has received an FL Sub-TLV with F=1, egress PE
> MUST process a flow label in the label stack.”
>
The original statement is correct. A contracted with B to send an FL
(sent FL sub-TLV with F=1). B agreed to the contract (sent FL sub-TLV).
Now A must honour the contract by including an FL.

> If a PE has sent an FL Sub-TLV with F = 1 and does not receive an FL
>
> Sub-TLV it MUST send a new label mapping using an FL Sub-TLV with F =
>
> 0.
>
> [LY] This is egress PE.
>
No - ingress. A tried to negotiate using a FL (FL Sub-TLV with F = 1), B
said no (did not send an FL sub-TLV), So A now sends an Fl Sub-TLV with
F = 0. If B understand the Sub-TLV it knows that A will not include FL
in the data packet. If B does not understand the Sub-TLV it is none the
wiser and processes continues to process packets as if FL were never
invented.

> A PE that has sent an FL Sub-TLV with F = 0 MUST NOT include a flow
>
> label in the label stack.
>
> [LY] is this ingress PE or egress PE?
>
Ingress
>
> If a PE that previously did not received a label binding without a FL
>
> Sub-TLV receives a new a label mapping with one included, it MAY send
>
> a new label mapping including an FL Sub-TLV with F = 1.
>
> [LY] This is not clear to me.
>
If A previously received from B no FL sub-TLV, A had to send a sub-TLV
with F=0 and not use a FL (see above). If A now receives an FL sub-TLV
from B, it can change its mind and issue a new FL sub-TLV with F=1. This
is needed to cover the case of single sided signaling, where B may use
A's old label binding.
However I could omit this sentence since it's obvious that A can
re-issue its label when B changes its mind.

> Please use egress PE and ingress PE to describe the actions and make
> sure all the cases covered.
>
I will take a look at the text, but since the PEs are both ingress and
egress I am not sure that helps. However I will look to see if it can be
clarified.

- Stewart